Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7939

I18N japanese translation does not contain leading spaces

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Incomplete
    • Affects Version/s: PUP 5.2.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Template:
    • Method Found:
      Inspection
    • Release Notes:
      Not Needed
    • QA Risk Assessment:
      Manual

      Description

      While reviewing the puppet.po file I noticed that in the english version the string contains some spaces (probably for specific readability in the output), while in the japanese translation the spaces are missing or are not the same number of spaces:

      #: ../lib/puppet/module_tool/errors/installer.rb:17
      msgid "  Module '%{module_name}' (%{version}) is already installed"
      msgstr "モジュール'%{module_name}' (%{version})はすでにインストールされています。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/installer.rb:37
      #: ../lib/puppet/module_tool/errors/shared.rb:44
      msgid "  No releases are available from %{source}"
      msgstr "%{source}に利用できるリリースがありません。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/installer.rb:38
      msgid "    Does '%{requested_package}' have at least one published release?"
      msgstr " '%{requested_package}'には少なくとも1つの公開済みリリースがありますか?"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/shared.rb:17
      msgid "  No version of '%{module_name}' can satisfy all dependencies"
      msgstr "'%{module_name}'にはすべての依存関係を満たすバージョンがありません。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/shared.rb:69
      msgid "  Dependency '%{name}' (%{version}) would overwrite %{dir}"
      msgstr "依存関係'%{name}' (%{version})により%{dir}が上書きされます。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/shared.rb:126
      msgid "  Module '%{module_name}' is not installed"
      msgstr "モジュール'%{module_name}'はインストールされていません。"
       
      ------------------- (different number of leading spaces)
       
      #: ../lib/puppet/module_tool/errors/shared.rb:128
      msgid "    You may have meant `puppet module %{action} %{suggestion}`"
      msgstr "   あなたが意図していたのは`puppet module %{action} %{suggestion}`だった可能性があります。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/shared.rb:130
      msgid "    Use `puppet module install` to install this module"
      msgstr "`puppet module install`を使ってこのモジュールをインストール。"
       
      ------------------- (different number of leading spaces)
       
      #: ../lib/puppet/module_tool/errors/shared.rb:147
      msgid "  Module '%{module_name}' appears multiple places in the module path"
      msgstr " モジュール'%{module_name}'がモジュールパスの複数の場所に現れます。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/shared.rb:168
      msgid "  Installed module has had changes made locally"
      msgstr "インストールされたモジュールはローカルで変更されています。"
       
      -------------------
       
      #: ../lib/puppet/module_tool/errors/upgrader.rb:58
      msgid "  Downgrading is not allowed."
      msgstr "ダウングレードは許可されていません。"
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              erwin.hom Erwin Hom
              Reporter:
              eric.delaney Eric Delaney
              QA Contact:
              Eric Delaney
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support